import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { DefaultColorType } from '@red/domain';

export const defaultColorsTranslations: { readonly [key in DefaultColorType]?: string } = {
    analysisColor: _('default-colors-screen.types.analysisColor'),
    dictionaryRequestColor: _('default-colors-screen.types.dictionaryRequestColor'),
    previewColor: _('default-colors-screen.types.previewColor'),
    requestAddColor: _('default-colors-screen.types.requestAdd'),
    requestRemoveColor: _('default-colors-screen.types.requestRemove'),
    updatedColor: _('default-colors-screen.types.updatedColor'),
    ignoredHintColor: _('default-colors-screen.types.ignoredHintColor'),
    recommendationColor: _('default-colors-screen.types.recommendationColor'),
    hintColor: _('default-colors-screen.types.hintColor'),
    redactionColor: _('default-colors-screen.types.redactionColor'),
    skippedColor: _('default-colors-screen.types.skippedColor'),
    appliedRedactionColor: _('default-colors-screen.types.appliedRedactionColor'),
} as const;
